/* GCC */

#define maxn 2000

#include <stdio.h>
#include <vector>

using namespace std;

int n, m, i, a, b, owners[maxn], owner;
vector<int> g[maxn];   // : g[i]     ,    i (  )
bool first;

//      
// v    ( 0  n-1)
// owner  ,     (1  2)
//  true,    ,  false,  
bool dfs(int v, int owner)
{
     owners[v] = owner;    //   
     for (int i = 0; i < g[v].size(); i++)      //      
     {
         int w = g[v][i];     //   
         if (owners[w] == 0)   //           
         {
            if (! dfs(w, 3 - owner))   //       ;          ,          false
               return false;
         }
         else if (owners[w] == owner)   //             ,    ,      false
              return false;    
     }
     return true;    //              true
}

int main()
{
    freopen("wrappers.in", "r", stdin);
    freopen("wrappers.out", "w", stdout);
    
    scanf("%d %d", &n, &m);
    for (i = 0; i < m; i++)
    {
        scanf("%d %d", &a, &b);
        g[a - 1].push_back(b - 1);   //    , ,      ,      
        g[b - 1].push_back(a - 1);
    }
    for (i = 0; i < n; i++)  //         ,     
        owners[i] = 0;
    
    if (dfs(0, 1)) //    ,     0,  
    {
        for (i = 0; i < n; i++)
            if (owners[i] == 0) //         ,  ,       ,       ,    ,  (   )   :    
            {
               printf("0\n0\n");
               return 0;
            }
        //      ,       
        for (owner = 1; owner <= 2; owner++) //   
        {
            first = true;   //        ,    
            for (i = 0; i < n; i++) //   
                if (owners[i] == owner)  //     
                {
                   if (! first)   //        ,     
                      printf(" ");      
                   printf("%d", i + 1); //   , ,      ,      
                   first = false;       //    ,    ,   
                }
            printf("\n");  // ϳ         
        }
    }
    else        //    ,     0,  ,  
        printf("0\n0\n");
 
    return 0;   
}
