/* GCC */
#include <cstdio>
#include <algorithm>

#define MAX 100000

using namespace std;

int seq[2 * MAX];
int n;
bool division[2 * MAX];

bool check(int b, int dif){
    int j = 0;
    fill(division, division + 2 * n, false);
    for(int i = 0; b + dif * i <= seq[2 * n - 1]; i++){
        int cur = b + dif * i;
        while(j < 2 * n && seq[j] < cur)
            j++;
        if(j == 2 * n)
            return false;
        if(seq[j] == cur){
            division[j] = true;
            continue;
        }
        return false;
    }
    int f = -1, s = -1, d = -1;
    for(int i = 1; i < 2 * n; i++){
        if(!division[i]){
            f = seq[i];
            if(d == -1 && s != -1)
                d = f - s;
            else if(s != -1 && f - s != d)
                return false;
            s = f;
        }
    }
    return true;
}

int main()
{
    freopen("stamps.in", "r", stdin);
    freopen("stamps.out", "w", stdout);
    scanf("%d", &n);
    for(int i = 0; i < 2 * n; i++){
        scanf("%d", &seq[i]);
    }
    sort(seq, seq + 2 * n);
    int b1 = seq[0];
    int dif1 = seq[1] - seq[0];
    int b2 = -1;
    int dif2 = -1;
    if(check(b1, dif1)){
        for(int i = 0; i < 2 * n; i++){
            if(!division[i]){
                if(b2 == -1){
                    b2 = seq[i];
                }else if(dif2 == -1){
                    dif2 = seq[i] - b2;
                    break;
                }
            }
        }
        printf("%d", b1);
        for(int i = 1; i < n; i++){
            printf(" %d", b1 + dif1 * i);
        }
        printf("\n%d", b2);
        for(int i = 1; i < n; i++){
            printf(" %d", b2 + dif2 * i);
        }
        printf("\n");
        return 0;
    }else{
        dif1 = -1;
        b2 = seq[1];
        if((seq[2 * n - 1] - b1) % (n - 1) == 0){
            dif1 = (seq[2 * n - 1] - b1) / (n - 1);
            if(check(b1, dif1)){
                for(int i = 0; i < 2 * n; i++){
                    if(!division[i] && b2 != seq[i]){
                        dif2 = seq[i] - b2;
                        break;
                    }
                }
                printf("%d", b1);
                for(int i = 1; i < n; i++){
                    printf(" %d", b1 + dif1 * i);
                }
                printf("\n%d", b2);
                for(int i = 1; i < n; i++){
                    printf(" %d", b2 + dif2 * i);
                }
                printf("\n");
                return 0;
            }
        }
        dif1 = -1;
        dif2 = (seq[2 * n - 1] - b2) / (n - 1);
        for(int i = 0; i < 2 * n; i++){
            if(!division[i] && b1 != seq[i]){
                dif1 = seq[i] - b1;
                break;
            }
        }
        printf("%d", b1);
        for(int i = 1; i < n; i++){
            printf(" %d", b1 + dif1 * i);
        }
        printf("\n%d", b2);
        for(int i = 1; i < n; i++){
            printf(" %d", b2 + dif2 * i);
        }
        printf("\n");
    }
    return 0;
}
