/* GCC */
#include <iostream>
#include <vector>
#include <fstream>
using namespace std;
int matrix[2000][2000];
int N;
int person[2000] = {0};
vector<int> person1;
vector<int> person2;
int new_person;
int visited[2000] = {0};

bool all_visited() {
    for(int i = 0; i < N; i++) {
        if(!visited[i])
            return false;
    }
    return true;
}

int find_next_not_visited() {
    for(int i = 0; i < N; i++) {
        if(!visited[i])
            return i;
    }
}


void dfs(int node) {
    visited[node] = 1;
    person[node] = new_person;
    for(int i = 0; i < N; i++) {
        if(matrix[node][i] == 1 && !visited[i]) {
            if(person[node] == 1)
                new_person = 2;
            else
                new_person = 1;
            dfs(i);
        }
    }
}

bool are_connected(int n1, int n2) {
    return(matrix[n1][n2] == 1);
}

int main()
{
    ifstream fin("wrappers.in");
    ofstream fout("wrappers.out");
    int M;
    fin >> N >> M;
    for(int i = 0; i < N; i++) {
        for(int j = 0; j < N; j++) {
            matrix[i][j] = 0;
        }
    }
    {
        int temp1, temp2;
        for(int i = 0; i < M; i++) {
            fin >> temp1 >> temp2;
            matrix[temp1 - 1][temp2 - 1]++;
            matrix[temp2 - 1][temp1 - 1]++;
        }
    }
    new_person = 1;
    while(!all_visited()) {
        dfs(find_next_not_visited());
    }
    for(int i = 0; i < N; i++) {
        if(person[i] == 1)
            person1.push_back(i);
        else
            person2.push_back(i);
    }
    for(int i = 0; i < person1.size() - 1; i++) {
        if(are_connected(person1[i], person1[i+1])) {
            fout << 0 << endl << 0 << endl;
            return 0;
        }
    }

    for(int i = 0; i < person2.size() - 1; i++) {
        if(are_connected(person2[i], person2[i+1])) {
            fout << 0 << endl << 0 << endl;
            return 0;
        }
    }

    if(are_connected(person1[0], person1[person1.size() - 1])) {
            fout << 0 << endl << 0 << endl;
            return 0;
    }

    if(are_connected(person2[0], person2[person2.size() - 1])) {
            fout << 0 << endl << 0 << endl;
            return 0;
    }

    for(int i = 0; i < person1.size(); i++) {
        fout << person1[i] + 1;
	if(i != person1.size() - 1)
		fout << " ";
    }
    fout << endl;
    for(int i = 0; i < person2.size(); i++) {
        fout << person2[i] + 1;
	if(i != person2.size() - 1)
		fout << " ";
    }
    fout << endl;
    fin.close();
    fout.close();
    return 0;
}
