/* GCC */
#include <cstdio>
#include <algorithm>

#define MAX 200001

using namespace std;

int counts[MAX];
int ocurs[MAX];

int main()
{
    int s, n;
    freopen("coins.in", "r", stdin);
    freopen("coins.out", "w", stdout);
    scanf("%d%d", &s, &n);
    fill(counts, counts + s + 1, 0);
    int sd2 = (s + 1) / 2;
    int j = 0;
    for(int i = 0; i < n; i++){
        int tmp;
        scanf("%d", &tmp);
        if(tmp < s){
            counts[tmp]++;
            if(counts[tmp] == 1 && tmp < sd2){
                ocurs[j] = tmp;
                j++;
            }
        }
    }
    long long res = 0;
    for(int i = 0; i < j; i++){
        res += counts[ocurs[i]] * counts[s - ocurs[i]];
    }
    if(s % 2 == 0){
        res += counts[s / 2] * (counts[s / 2] - 1) / 2;
    }
    printf("%d\n", res);
    return 0;
}
